pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator Class Reference

Creates a FLANN KdTreeSingleIndex from the given input data. More...

`#include <pcl/search/flann_search.h>`

Inheritance diagram for pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator:

## Public Member Functions

| KdTreeIndexCreator (unsigned int max_leaf_size=15)
| ~KdTreeIndexCreator ()
| Empty destructor. More...
IndexPtr | createIndex (MatrixConstPtr data) override
| Create a FLANN Index from the input data. More...
Public Member Functions inherited from pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator
virtual | ~FlannIndexCreator ()
| destructor More...

## Detailed Description

### template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>
class pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator

Creates a FLANN KdTreeSingleIndex from the given input data.

Definition at line 148 of file flann_search.h.

## Constructor & Destructor Documentation

## KdTreeIndexCreator()

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator::KdTreeIndexCreator | ( | unsigned int | max_leaf_size = `15` | ) |

inline

Parameters

  [in] | max_leaf_size | All FLANN kd trees created by this class will have a maximum of max_leaf_size points per leaf node. Higher values make index creation cheaper, but search more costly (and the other way around).

Definition at line 155 of file flann_search.h.

## ~KdTreeIndexCreator()

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator::~KdTreeIndexCreator | ( |  | ) |

inline

Empty destructor.

Definition at line 158 of file flann_search.h.

## Member Function Documentation

## createIndex()

template<typename PointT , typename FlannDistance >

pcl::search::FlannSearch< PointT, FlannDistance >::IndexPtr pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator::createIndex | ( | MatrixConstPtr | data | ) |

override virtual

Create a FLANN Index from the input data.

Parameters

  [in] | data | The FLANN matrix containing the input.

Returns
  The FLANN index.

Implements pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator.

Definition at line 52 of file flann_search.hpp.

The documentation for this class was generated from the following files:

- pcl/search/flann_search.h
- pcl/search/impl/flann_search.hpp